### Method

# Json Generator set_pretty

since: 0.14

#### Declaration [src]

    void
    json_generator_set_pretty (
      JsonGenerator* generator,
      gboolean is_pretty
    )

#### Description [src]

Sets whether the generated JSON should be pretty printed.

Pretty printing will use indentation character specified in the `JsonGenerator:indent-char` property and the spacing specified in the `JsonGenerator:indent` property.

Available since: 0.14

Sets property | `Json.Generator:pretty`

#### Parameters

`is_pretty`

  Type: `gboolean`

  Whether the generated string should be pretty printed.